// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import echarts from 'echarts'
import VueKindEditor from 'vue-kindeditor'
// 全局css
import './styles/app.scss'
// 引入主题
import './styles/themes-sass.scss'

import 'babel-polyfill'
import ElementUI from 'element-ui'
import globalConfig from './utils/global-config'


import store from './vuex/store'

Vue.use(VueKindEditor)
Vue.use(globalConfig)
Vue.use(ElementUI, { size: 'mini', zIndex: 3000 });

Vue.prototype.$echarts = echarts
Vue.config.productionTip = false

new Vue({
  el: '#app',
  store,
  router,
  components: { App },
  template: '<App/>'
})
// Vue-Vue-router跳转页面时返回顶部
router.afterEach((to, from, next) => {
  window.scrollTo(0, 0)
})
